/*
SQLyog v10.2 
MySQL - 5.5.19 : Database - qzone
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`qzone` /*!40100 DEFAULT CHARACTER SET gb2312 */;

USE `qzone`;

/*Table structure for table `article` */

DROP TABLE IF EXISTS `article`;

CREATE TABLE `article` (
  `article_id` int(20) NOT NULL AUTO_INCREMENT,
  `title` varchar(12) DEFAULT NULL,
  `postTime` varchar(16) DEFAULT NULL,
  `content` mediumtext,
  `readNum` int(9) DEFAULT '0',
  `category_id` int(20) DEFAULT NULL,
  `id` int(20) DEFAULT NULL,
  `repost_from` int(20) DEFAULT NULL,
  `authority` int(1) DEFAULT '1',
  PRIMARY KEY (`article_id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=gb2312;

/*Data for the table `article` */

insert  into `article`(`article_id`,`title`,`postTime`,`content`,`readNum`,`category_id`,`id`,`repost_from`,`authority`) values (1,'gewgwegwegwe','2015-06-24 12:39','gwegwg4g3g3g3gegwe',1669,7,1,NULL,2),(2,'gwegweggw','2015-07-04 23:39','gwegwehwehw',1,8,2,NULL,1),(6,'gewgwegwegwe','2015-07-05 14:53','gwegwg4g3g3g3gegwe',9,2,2,1,1),(7,'222222222222','2015-07-05 15:22','gewgwegwgw',6,1,1,NULL,3),(8,'111111111','2015-07-16 14:11','GWEGWEGWEGWE',0,1,1,NULL,1),(9,'333333333','2015-07-16 14:12','EHRHH4H3',0,1,1,NULL,1),(10,'4444444444','2015-07-16 14:12','GEGWHWEHW',0,1,1,NULL,1),(11,'GHREHRAHE','2015-07-16 14:12','HAWHWAHW',0,1,1,NULL,1),(12,'GWEGEWAG','2015-07-16 14:13','HWEHWHWEHW',2,1,1,NULL,1),(13,'gewhwehw','2015-07-16 14:45','hwegewgwe',88,1,1,NULL,2),(14,'gewgwegwegwe','2015-07-25 16:48','gwegwg4g3g3g3gegwe',16,1,1,2,2);

/*Table structure for table `articlecomment` */

DROP TABLE IF EXISTS `articlecomment`;

CREATE TABLE `articlecomment` (
  `articlecomment_id` int(20) NOT NULL AUTO_INCREMENT,
  `commentcontent` text,
  `id` int(20) DEFAULT NULL,
  `commenttime` varchar(19) DEFAULT NULL,
  `article_id` int(20) DEFAULT NULL,
  PRIMARY KEY (`articlecomment_id`),
  KEY `article_id` (`article_id`),
  CONSTRAINT `articlecomment_ibfk_1` FOREIGN KEY (`article_id`) REFERENCES `article` (`article_id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=gb2312;

/*Data for the table `articlecomment` */

insert  into `articlecomment`(`articlecomment_id`,`commentcontent`,`id`,`commenttime`,`article_id`) values (1,'11111111',1,'2015-06-24 12:39:00',1),(2,'22222222222',2,'2015-06-24 12:48:00',1),(3,'3333333333',1,'2015-07-02 20:20:43',1),(4,'4444444444',1,'2015-07-02 20:20:43',1),(5,'55555555555',2,'2015-07-15 22:22:02',1),(6,'6666666666',1,'2015-07-15 22:22:08',1),(7,'7777777777',1,'2015-07-15 22:22:12',1),(8,'88888888888',2,'2015-07-16 14:03:58',1),(9,'99999999999',1,'2015-07-16 14:04:04',1),(10,'gewgawgw',1,'2015-07-17 21:31:03',13),(11,'333333<img src=\"http://localhost/qzone/public/images/big_emotion/i_f10.png\"> 33333333',1,'2015-07-18 17:43:01',13),(12,'111111111',1,'2015-07-26 13:38:02',1);

/*Table structure for table `articlereply` */

DROP TABLE IF EXISTS `articlereply`;

CREATE TABLE `articlereply` (
  `articlereply_id` int(20) NOT NULL AUTO_INCREMENT,
  `replycontent` varchar(500) DEFAULT NULL,
  `replytime` varchar(19) DEFAULT NULL,
  `id` int(20) DEFAULT NULL,
  `comment_id` int(20) DEFAULT NULL,
  PRIMARY KEY (`articlereply_id`),
  KEY `comment_id` (`comment_id`),
  CONSTRAINT `articlereply_ibfk_1` FOREIGN KEY (`comment_id`) REFERENCES `articlecomment` (`articlecomment_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=gb2312;

/*Data for the table `articlereply` */

insert  into `articlereply`(`articlereply_id`,`replycontent`,`replytime`,`id`,`comment_id`) values (1,'fwegfwegaw','2015-07-17 22:28:31',1,12),(2,'eeeeeeeeeee','2015-07-26 13:36:30',1,9),(3,'gegagw','2015-07-26 14:31:26',1,12),(4,'gwegwegwe','2015-07-26 14:31:29',1,9),(5,'gwegew','2015-07-27 14:31:29',2,1);

/*Table structure for table `user` */

DROP TABLE IF EXISTS `user`;

CREATE TABLE `user` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(12) DEFAULT NULL,
  `pwd` varchar(16) DEFAULT NULL,
  `email` tinytext,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=gb2312;

/*Data for the table `user` */

insert  into `user`(`id`,`name`,`pwd`,`email`) values (1,'TheViper','123456','gewgwe@qq.com'),(2,'jordan','123456','gewgwe@qq.com'),(3,'kkab','123456','gewgwe@qq.com'),(4,'daut','123456','gewgwe@qq.com'),(5,'dogao','123456','gewgwe@qq.com'),(6,'这是一个很长很长的名字啊','123456','gewgwe@qq.com');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
